public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-themes/neutral-xcursors/
Date: Mon, 26 Apr 2021 21:20:46 +0000 (UTC)	[thread overview]
Message-ID: <1619472033.78217f97b03d68338e52b848abaf82c8ebad77cc.conikost@gentoo> (raw)

commit:     78217f97b03d68338e52b848abaf82c8ebad77cc
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 26 21:18:54 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Apr 26 21:20:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78217f97

x11-themes/neutral-xcursors: bump to EAPI=7

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 x11-themes/neutral-xcursors/metadata.xml           |  3 +-
 .../neutral-xcursors-20150106-r1.ebuild            | 81 ++++++++++++++++++++++
 2 files changed, 83 insertions(+), 1 deletion(-)

diff --git a/x11-themes/neutral-xcursors/metadata.xml b/x11-themes/neutral-xcursors/metadata.xml
index 585b0dc75dd..3c58a0219fb 100644
--- a/x11-themes/neutral-xcursors/metadata.xml
+++ b/x11-themes/neutral-xcursors/metadata.xml
@@ -2,4 +2,5 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
 	<!-- maintainer-needed -->
-	</pkgmetadata>
+	<stabilize-allarches/>
+</pkgmetadata>

diff --git a/x11-themes/neutral-xcursors/neutral-xcursors-20150106-r1.ebuild b/x11-themes/neutral-xcursors/neutral-xcursors-20150106-r1.ebuild
new file mode 100644
index 00000000000..28dbb5e6b7d
--- /dev/null
+++ b/x11-themes/neutral-xcursors/neutral-xcursors-20150106-r1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+NEUTRAL_PN="Neutral"
+NEUTRAL_PV="1.13a"
+NEUTRAL_P="${NEUTRAL_PN}-${NEUTRAL_PV}"
+
+PLUS_PN="Neutral_Plus"
+PLUS_PV="1.2"
+PLUS_P="${PLUS_PN}-${PLUS_PV}"
+
+PLUSPLUS_PN="Neutral++"
+PLUSPLUS_PV="1.0.3"
+PLUSPLUS_P="${PLUSPLUS_PN}-${PLUSPLUS_PV}"
+
+WHITE_PN="Neutral++_White"
+WHITE_PV="1.1.1"
+WHITE_P="${WHITE_PN}-${WHITE_PV}"
+
+DESCRIPTION="A family of smoothed and shadowed cursors that resemble the standard X ones"
+HOMEPAGE="
+	https://store.kde.org/p/999947/
+	https://store.kde.org/p/999928/
+	https://store.kde.org/p/999941/
+	https://store.kde.org/p/999806/
+"
+
+SRC_URI="
+	mirror://gentoo/${NEUTRAL_P}.tar.gz
+	mirror://gentoo/${PLUS_P}.tar.bz2
+	mirror://gentoo/${PLUSPLUS_P}.tar.bz2
+	mirror://gentoo/${WHITE_P}.tar.bz2
+"
+S="${WORKDIR}"
+
+LICENSE="Artistic-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 sparc x86"
+
+DEPEND="x11-apps/xcursorgen"
+RDEPEND="x11-libs/libXcursor"
+
+src_prepare() {
+	default
+
+	mv neutral Neutral || die
+	mkdir -p "${PLUS_PN}"/source/cursors || die
+}
+
+src_compile() {
+	local cursor_dirs=( "${NEUTRAL_PN}" "${PLUS_PN}" "${PLUSPLUS_PN}" "${WHITE_PN}"	)
+	for cursor_dir in "${cursor_dirs[@]}"; do
+		pushd "${cursor_dir}"/source
+			./make.sh || die
+		popd
+	done
+}
+
+src_install() {
+	pushd "${NEUTRAL_PN}"
+		insinto /usr/share/cursors/xorg-x11/"${NEUTRAL_PN}"
+		doins -r index.theme source/cursors/
+	popd
+
+	pushd "${PLUS_PN}"
+		insinto /usr/share/cursors/xorg-x11/"${PLUS_PN}"
+		doins -r "${FILESDIR}/index.theme" source/cursors/
+	popd
+
+	pushd "${PLUSPLUS_PN}"
+		insinto /usr/share/cursors/xorg-x11/"${PLUSPLUS_PN}"
+		doins -r index.theme cursors/
+	popd
+
+	pushd "${WHITE_PN}"
+		insinto /usr/share/cursors/xorg-x11/"${WHITE_PN}"
+		doins -r index.theme cursors/
+	popd
+}


             reply	other threads:[~2021-04-26 21:20 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-26 21:20 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-21 12:06 [gentoo-commits] repo/gentoo:master commit in: x11-themes/neutral-xcursors/ Petr Vaněk
2024-08-13 14:57 Arthur Zamarin
2024-07-19 18:05 Pacho Ramos
2023-12-07 16:25 Arthur Zamarin
2021-04-26 21:20 Conrad Kostecki
2016-12-05 22:48 Patrice Clement
2016-12-05 20:45 Pacho Ramos
2016-09-04 19:06 David Seifert
2016-05-18 13:39 Sam Jorna

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1619472033.78217f97b03d68338e52b848abaf82c8ebad77cc.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox